name: pipeline

on:
  push:
    branches:
      - master

jobs:
  deploy-job:
    runs-on: docker
    container:
      image: ubuntu:latest
    steps:
      - name: init env 
        run: |
          apt-get update
          apt-get install -y rsync openssh-client git sshpass wget
          cd /tmp
          wget https://github.com/barnumbirr/zola-debian/releases/download/v0.20.0-1/zola_0.20.0-1_amd64_bookworm.deb
          apt-get install -y ./zola_0.20.0-1_amd64_bookworm.deb

      - name: init git
        run: |
          git clone https://git.fzorb.xyz/fzorb/website-new website
          cd website
          git submodule foreach --recursive git reset --hard
          git submodule init
          git submodule update --recursive

      - name: generate site
        run: |
          cd website
          zola build

      - name: init ssh
        run: |
          mkdir ~/.ssh
          ssh-keyscan -p 69 fzorb.xyz >> ~/.ssh/known_hosts
            
      - name: upload new files
        run: |
          sshpass -p '${{secrets.PASSWD}}' rsync -avzh website/public/ -e 'ssh -p 69' git@fzorb.xyz:/var/www/fzorb.xyz

      - name: fix perms
        run: |
          sshpass -p '${{secrets.PASSWD}}' git@fzorb.xyz "chmod 777 -R /var/www/fzorb.xyz"
